Bug 1413212 - [RFE] Routers do not allow you to add/remove interfaces
Summary: [RFE] Routers do not allow you to add/remove interfaces
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.1
Assignee: Tzu-Mainn Chen
QA Contact: Ido Ovadia
URL:
Whiteboard: openstack:sdn
: 1418680 1437139 (view as bug list)
Depends On: 1394284
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 22:35 UTC by Satoe Imaishi
Modified: 2017-05-22 23:07 UTC (History)
6 users (show)

Fixed In Version: 5.7.1.1
Doc Type: Enhancement
Doc Text:
Clone Of: 1394284
Environment:
Last Closed: 2017-02-27 19:27:52 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-16 14:35:54 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/98d8e34d887592e091a8ba009f0c79df171bf5bb

commit 98d8e34d887592e091a8ba009f0c79df171bf5bb
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Thu Dec 22 13:41:35 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 16 09:31:17 2017 -0500

    Merge pull request #13032 from sseago/router-interfaces-model
    
    model for add/remove interface on network router
    (cherry picked from commit c2bf3960cc213e5d8baeff16fa423936931e27b6)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1413212

 .../openstack/network_manager/network_router.rb    | 63 +++++++++++++++++++++-
 app/models/mixins/supports_feature_mixin.rb        |  2 +
 app/models/network_router.rb                       |  1 +
 config/settings.yml                                |  2 +
 .../OpenStack.class/router.interface.create.yaml   | 12 +++++
 .../OpenStack.class/router.interface.delete.yaml   | 12 +++++
 db/fixtures/miq_product_features.yml               |  8 +++
 ...ers-openstack-network_manager-network_router.rb |  4 ++
 .../miq_ae_service_network_router.rb               |  3 --
 ...penstack-network_manager-network_router_spec.rb | 19 +++++++
 .../miq_ae_service_network_router_spec.rb          |  8 ---
 11 files changed, 122 insertions(+), 12 deletions(-)
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Event/EmsEvent/OpenStack.class/router.interface.create.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Event/EmsEvent/OpenStack.class/router.interface.delete.yaml
 create mode 100644 spec/lib/miq_automation_engine/service_methods/miq_ae_service_manageiq-providers-openstack-network_manager-network_router_spec.rb

Comment 3 CFME Bot 2017-01-16 14:51:11 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/228f8c3069a446b8692351b3d8a0573179b5b01e

commit 228f8c3069a446b8692351b3d8a0573179b5b01e
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Fri Jan 13 09:19:53 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 16 09:39:07 2017 -0500

    Merge pull request #60 from sseago/router-interfaces-ui
    
    UI for add/remove interface on network router
    (cherry picked from commit bc890e0e029e4ea0e0b4cc109fe01bdb5b592086)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1413212

 .../network_router_form_controller.js              |  19 +-
 app/controllers/network_router_controller.rb       | 216 +++++++++++++++++++--
 .../toolbar/network_router_center.rb               |  18 ++
 .../toolbar/network_routers_center.rb              |  16 ++
 .../network_router/add_interface_select.html.haml  |  23 +++
 .../remove_interface_select.html.haml              |  23 +++
 config/routes.rb                                   |   6 +
 spec/controllers/network_router_controller_spec.rb |  92 +++++++++
 8 files changed, 401 insertions(+), 12 deletions(-)
 create mode 100644 app/views/network_router/add_interface_select.html.haml
 create mode 100644 app/views/network_router/remove_interface_select.html.haml

Comment 4 Ido Ovadia 2017-01-31 20:43:27 UTC
Failed QA
=========

Steps:
======
1. Select a router
2. Click Configuration --> Add Interface to this Router

Result:
=======
"Unexpected error encountered"

Error text:

undefined local variable or method `checked_item_id' for #<NetworkRouterController:0x00000010107718> Did you mean? checked_router_id [network_router/button]

Comment 5 Ido Ovadia 2017-02-02 11:48:49 UTC
Note:
=====
Configuration --> Remove Interface to this Router, gives the same error

Comment 6 Tzu-Mainn Chen 2017-02-02 14:27:41 UTC
*** Bug 1418680 has been marked as a duplicate of this bug. ***

Comment 7 Tzu-Mainn Chen 2017-02-02 18:05:15 UTC
Fix created and backported by scott seago: https://github.com/ManageIQ/manageiq/pull/13737

Comment 8 CFME Bot 2017-02-08 20:05:52 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/726d23fed0bf8bcb1c8f2a6d0b55c9dc304bbe33

commit 726d23fed0bf8bcb1c8f2a6d0b55c9dc304bbe33
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Wed Feb 8 13:28:54 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Feb 8 15:00:56 2017 -0500

    Merge pull request #13818 from bdunne/transfer_to_miq_content
    
    Transfer to manageiq-content
    (cherry picked from commit 87042e9b88ccdf937c4dbf19ee6c5c6b3708a4f7)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1413212

 .../EmsEvent/OpenStack.class/router.interface.create.yaml    | 12 ------------
 .../EmsEvent/OpenStack.class/router.interface.delete.yaml    | 12 ------------
 2 files changed, 24 deletions(-)
 delete mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Event/EmsEvent/OpenStack.class/router.interface.create.yaml
 delete mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Event/EmsEvent/OpenStack.class/router.interface.delete.yaml

Comment 9 Ido Ovadia 2017-02-21 13:34:36 UTC
Verified
========
5.7.1.2

Comment 11 errata-xmlrpc 2017-02-27 19:27:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html

Comment 12 Tzu-Mainn Chen 2017-05-22 23:07:34 UTC
*** Bug 1437139 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.